{{ ansible_managed|comment }}

closeCard.applicationTemplate={{ wcgate_app_config }}/closeCard.ftl

closeCustomer.applicationTemplate={{ wcgate_app_config }}/closeCustomer.ftl

# virtual card livetime (in months), used to create EPAY 48.88
createVirtualCard.livetime={{ wcgate_vcard_livetime }}

# EPAY 48.89ß
createVirtualCard.productType={{ wcgate_vcard_product_type | default('SV') }}
createVirtualCard.serviceCardNumber={{ wcgate_vcard_number }}
createVirtualCard.limit.currencyCode={{ wcgate_vcard_currency_code }}

# --- Logging ---
logging.config={{ wcgate_config }}/logback.xml
logging.file={{ wcgate_log }}/wirecardgate.log

# default 0, used at creating an account in SVFE (ACCT_TAB.AREST)
registerCustomer.accountRestrictionCode={{ wcgate_account_restriction_code }}
registerCustomer.applicationTemplate={{ wcgate_app_config }}/registerCustomer.ftl

editCustomer.applicationTemplate={{ wcgate_app_config }}/editCustomer.ftl

# --- Security ---
security.authentication.login={{ wcgate_auth_login }}
security.authentication.passwordHash={{ wcgate_auth_password_hash }}

# default SHA-1
security.authentication.hashAlgorithm={{ wcgate_security_auth_hashalgoritm }}

# default 1
security.adminToken.usageLimit={{ wcgate_security_admintoken_usagelimit }}

# seconds, default 300
security.adminToken.validityPeriod={{ wcgate_admintoken_validityperiod }}

# --- SVAP ---
svap.address={{ wcgate_svap_address }}
# default 15000
svap.connectionTimeout={{ wcgate_svap_connection_timeout| default(15000) }}
# default 30000
svap.readTimeout={{ wcgate_svap_read_timeout| default(30000) }}

# --- SVFE ---
svfe.epay.host={{ wcgate_epay_host }}
svfe.epay.port={{ wcgate_epay_port }}
# default 5000
svfe.epay.sendTimeout={{ wcgate_epay_sendtimeout | default('15000') }}
# default 500
svfe.epay.maxQueueSize={{ wcgate_epay_maxqueue_size | default('500') }}
# default 4
svfe.epay.packet.headerLength={{ wcgate_epay_header_length | default('4') }}
svfe.epay.merchantType={{ wcgate_epay_merchant_type }}
svfe.epay.terminalId={{ wcgate_epay_terminalid }}
svfe.epay.merchantId={{ wcgate_epay_merchantid }}
svfe.epay.terminalLocation={{ wcgate_epay_terminal_location }}

svfe.atndt.address={{ wcgate_atndt_host }}
svfe.atndt.port={{ wcgate_atndt_port }}
svfe.atndt.echoDelay={{ wcgate_atndt_echodelay }}

createVirtualCard.service.sms.type={{ wcgate_service_sms_type }}
createVirtualCard.service.sms.id={{ wcgate_service_sms_id }}
createVirtualCard.service.3ds.type={{ wcgate_service_3ds_type }}
createVirtualCard.service.3ds.id={{ wcgate_service_3ds_id }}

switchCardProgram.applicationTemplate={{ wcgate_app_config }}/changeCustomerCategory.ftl

# --APPLE PAY B_PSGB-5821 --

# full path to a keystore holding the VISA private key
encryptedCardData.keyStore.file={{ wcgate_keys }}/visa_private_key_keystore.jks
encryptedCardData.keyStore.keyPassword={{ wcgate_keystore_keypassword }}
encryptedCardData.keyStore.keySetIdentifier={{ wcgate_keystore_keysetidentifier }}
encryptedCardData.keyStore.password={{ wcgate_keystore_password }}
encryptedCardData.keyStore.secretKeyAlias={{ wcagate_keystore_secretkeyalias }}
encryptedCardData.keyStore.secretKeyAliases={{ wcgate_keystore_secretkeyaliases }}
# default JCEKS
encryptedCardData.keyStore.type={{ wcgate_keystore_type }}

# full path to a file of the Apple root certificate
encryptedCardData.rootCert.file={{ wcgate_keys }}/AppleRootCA-G3.cer
